Bug 730641 - sosreport does not collect /proc/net details
Summary: sosreport does not collect /proc/net details
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Bryn M. Reeves
QA Contact: David Kutálek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 08:04 UTC by Sadique Puthen
Modified: 2018-11-27 19:43 UTC (History)
7 users (show)

Fixed In Version: sos-2.2-18.el6
Doc Type: Bug Fix
Doc Text:
* Previous versions of sos did not collect the contents of the /proc/net directory due to an incorrect path specification * As a result information necessary to debug certain bonding configurations was not available in the resulting archive * The sos networking module has been corrected to ensure this directory tree is collected * Generated sosreport tarballs now contain the expected set of /proc/net files
Clone Of:
Environment:
Last Closed: 2012-06-20 07:24:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0958 normal SHIPPED_LIVE Low: sos security, bug fix, and enhancement update 2012-06-19 19:28:28 UTC

Description Sadique Puthen 2011-08-15 08:04:36 UTC
Description of problem:

sosreport in RHEL6.1 does not collect details of /proc/net and /etc/modprobe.d details.

Eg,

/proc/net/bonding/bondx has a lot of useful details which could help troubleshoot issues. So it's recommended to take the whole contents of the directory.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bryn M. Reeves 2011-08-15 10:18:30 UTC
Please can you file separate bugs for /proc/net items and modprobe? They aren't really related and it's confusing to have them in a single feature request.

For network stuff exposed in proc we generally prefer to use tools like netstat where possible or to just pick up specific files (e.g. bondX) rather than pull in the entire directory.

Comment 2 Sadique Puthen 2011-08-15 11:47:55 UTC
I will keep this for /proc/net.

Almost all files under /proc/net is useful files. So I prefer to grab the directory entirely.

Eg, While working with a bonding it's highly useful to have /proc/net/bonding/bondx files.

/proc/net/dev is useful sometimes.

/proc/net/igmp is useful. While looking through, I see more files to include than to exclude.

Comment 3 RHEL Product and Program Management 2011-10-07 16:06:19 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 4 Pierguido Lambri 2011-10-21 08:04:45 UTC
I noticed that no bugzilla for the modprobe.d directory was opened.
I then created the BZ#747864 for that specific issue.

Comment 5 David Kutálek 2012-02-01 10:53:21 UTC
I removed modprobe.d part from bug Summary, since this is going to be /proc/net bug only.

Comment 14 Bryn M. Reeves 2012-05-01 12:50:51 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
* Previous versions of sos did not collect the contents of the /proc/net directory due to an incorrect path specification
* As a result information necessary to debug certain bonding configurations was not available in the resulting archive
* The sos networking module has been corrected to ensure this directory tree is collected
* Generated sosreport tarballs now contain the expected set of /proc/net files

Comment 15 errata-xmlrpc 2012-06-20 07:24:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0958.html

Comment 16 Bryn M. Reeves 2013-02-20 16:17:51 UTC
> Almost all files under /proc/net is useful files. So I prefer to grab the 
> directory entirely.

Unfortunately this is not true of the */channel files used to communicate with e.g. userspace RPC daemons. Reading these files can break this communication, see bug 913201.

I think in the future for changes of this sort we will need sign-off from a senior/SEG member of the relevant SBR to verify that these operations are safe and free from side-effects.


Note You need to log in before you can comment on or make changes to this bug.